#
# spec file for package python-pytest-random-order
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pytest-random-order
Version:        1.0.4
Release:        bp153.1.75
Summary:        Pytest plugin to randomize the order of pytests
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/jbasko/pytest-random-order
Source:         https://files.pythonhosted.org/packages/source/p/pytest-random-order/pytest-random-order-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pytest >= 3.0.0
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest >= 3.0.0}
# /SECTION
%python_subpackages

%description
pytest-random-order is a plugin for `pytest <http://pytest.org>`_ that randomises the order in which
tests are run to reveal unwanted coupling between tests. The plugin allows user to control the level
of randomness they want to introduce and to disable reordering on subsets of tests.
Tests can be rerun in a specific order by passing a seed value reported in a previous test run.

%prep
%setup -q -n pytest-random-order-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} py.test-%{$python_bin_suffix} -v

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Thu Feb 14 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.0.4:
  * Rename the Python package (not the PyPI package) to `random_order` so that pytest's `-p` flag usage is consistent.
  * Add diagrams for design illustration (#34)
  * Fixes compatibility issues with pytest 4.0.0
  * Tests included in the source distribution as requested in #35
  * Fixes issues with doctests reported in #36 - ``class``, ``package`` and ``module`` didn't work because ``DoctestItem`` doesn't have ``cls`` or ``module`` attributes. Thanks @tobywf.
  * Deprecates ``none`` bucket type.
  * With tox, run tests of pytest-random-order with both pytest 3 and 4.
- Enable tests
- Upstream declares as python3 only now
* Wed Aug  8 2018 jengelh@inai.de
- Use noun phrase in summary.
* Mon Jul 30 2018 t.gruner@katodev.de
- Initial release 0.8.0
